Index: /extensions/stripped/admin/admin.inc.php
===================================================================
--- /extensions/stripped/admin/admin.inc.php	(revision 12959)
+++ /extensions/stripped/admin/admin.inc.php	(revision 12960)
@@ -1,10 +1,23 @@
 <?php
-
-// Need upgrade?
 
 global $conf;
 
+// Need upgrade?
 if (!isset($conf['stripped']))
   include(PHPWG_THEMES_PATH.'stripped/admin/upgrade.inc.php');
+
+$stripped = unserialize( $conf['stripped'] );
+
+// Need upgrade from v1.x?
+if (!isset($stripped['themeStyle'])) {
+	include(PHPWG_THEMES_PATH.'stripped/admin/upgrade.inc.php');
+	$stripped = array_merge( unserialize( $conf['stripped'] ), (array)$stripped );
+}
+
+// Need upgrade from v2.x?
+if (!isset($stripped['paramVersion'])) {
+	include(PHPWG_THEMES_PATH.'stripped/admin/upgrade.inc.php');
+	$stripped = array_merge( unserialize( $conf['stripped'] ), (array)$stripped );
+}
 
 load_language('theme.lang', PHPWG_THEMES_PATH.'stripped/');
@@ -14,8 +27,12 @@
 if(isset($_POST['submit_stripped']))
 {
+	$config['paramVersion']='2.1';
+
 	$config['themeStyle']=$_POST['f_themeStyle'];
 	$config['hideMenu']=isset($_POST['f_hideMenu']);
 	$config['animatedMenu']=isset($_POST['f_animatedMenu']);
 	$config['noLowercase']=!isset($_POST['f_forceLowercase']);
+	$config['albumType']=$_POST['f_albumType'];
+	$config['albumFrame']=isset($_POST['f_albumFrame']);
 	$config['thumbFrame']=isset($_POST['f_thumbFrame']);
 	$config['showThumbLegend']=isset($_POST['f_showThumbLegend']);
Index: /extensions/stripped/admin/admin.tpl
===================================================================
--- /extensions/stripped/admin/admin.tpl	(revision 12959)
+++ /extensions/stripped/admin/admin.tpl	(revision 12960)
@@ -27,4 +27,17 @@
 					<span class="property">{'Force text to lowercase'|@translate}</span>&nbsp;
 					<input type="checkbox" name="f_forceLowercase" {if !($options.noLowercase)}checked{/if}>
+				</label></li>
+				<li><label>
+					<span class="property">{'Album list layout'|@translate}</span>&nbsp;
+					<select name="f_albumType" style="min-width:150px;">
+						<option value="small" {if ($options.albumType=="small")}selected{/if}>{'5 albums per row (no album description)'|@translate}</option>
+						<option value="3perline" {if ($options.albumType=="3perline")}selected{/if}>{'3 albums per row (description below thumbnail)'|@translate}</option>
+						<option value="2perline" {if ($options.albumType=="2perline")}selected{/if}>{'2 albums per row (description beside thumbnail)'|@translate}</option>
+						<option value="1perline" {if ($options.albumType=="1perline")}selected{/if}>{'1 album per row (description beside thumbnail)'|@translate}</option>
+					</select>
+				</label></li>
+				<li><label>
+					<span class="property">{'Display frame around albums'|@translate}</span>&nbsp;
+					<input type="checkbox" name="f_albumFrame" {if $options.albumFrame}checked{/if}>
 				</label></li>
 				<li><label>
Index: /extensions/stripped/admin/maintain.inc.php
===================================================================
--- /extensions/stripped/admin/maintain.inc.php	(revision 12959)
+++ /extensions/stripped/admin/maintain.inc.php	(revision 12960)
@@ -8,8 +8,12 @@
   {
     $config = array(
+	'paramVersion' 					=> '2.1',
+	
 	'themeStyle'					=> 'black',
 	'hideMenu'						=> true,
 	'animatedMenu'					=> true,
 	'noLowercase'					=> false,
+	'albumType'						=> 'small',
+	'albumFrame'					=> true,
 	'thumbFrame'					=> true,
 	'showThumbLegend'				=> false,
Index: /extensions/stripped/admin/upgrade.inc.php
===================================================================
--- /extensions/stripped/admin/upgrade.inc.php	(revision 12959)
+++ /extensions/stripped/admin/upgrade.inc.php	(revision 12960)
@@ -8,8 +8,12 @@
 {
     $config = array(
+	'paramVersion' 					=> '2.1',
+	
 	'themeStyle'					=> 'black',
 	'hideMenu'						=> true,
 	'animatedMenu'					=> true,
 	'noLowercase'					=> false,
+	'albumType'						=> 'small',
+	'albumFrame'					=> true,
 	'thumbFrame'					=> true,
 	'showThumbLegend'				=> false,
@@ -65,6 +69,18 @@
 		conf_update_param('stripped', pwg_db_real_escape_string(serialize($config)));
 	
+	} else {
+		if (isset($stripped['themeStyle']) & (!isset($stripped['paramVersion']))) {
+
+			$config = $stripped;
+			$config['paramVersion']='2.1';
+			$config['albumType']='small';
+			$config['albumFrame']=$config['thumbFrame'];
+			  
+			conf_update_param('stripped', pwg_db_real_escape_string(serialize($config)));
+		
+		}
+
 	}
-}
 
+	}
 ?>
Index: /extensions/stripped/js/scripts-tpp.js
===================================================================
--- /extensions/stripped/js/scripts-tpp.js	(revision 12959)
+++ /extensions/stripped/js/scripts-tpp.js	(revision 12960)
@@ -49,5 +49,5 @@
 	var tab_start = null;
 	
-	if (options.defaultTab) {
+	if ( (options.defaultTab) && (options.themeStyle == "original") ) {
 		if (options.defaultTab != "none") tab_start = options.defaultTab;
 		if (options.defaultTab == "last") tab_start = jQuery.cookie("tabactive");
@@ -92,8 +92,11 @@
 					var tab_title = jQuery(this);
 					tab_blocks.each(function(index2) {
-						if ((index1 == index2) && (options.animatedTabs)) {
-							jQuery(this).slideUp(delay, function() {tab_title.removeClass("tabSelected");});
-						} else {
-							jQuery(this).hide();
+						if (index1 == index2) {
+							if (options.animatedTabs) {
+								jQuery(this).slideUp(delay, function() {tab_title.removeClass("tabSelected");});
+							} else {
+								jQuery(this).hide();
+								tab_title.removeClass("tabSelected");
+							}
 						}
 					});
@@ -126,4 +129,27 @@
 			});
 		}); 
+		
+		if (options.themeStyle != "original") {
+			jQuery(".hideTabs").click(function() {
+				
+				tab_titles.each(function(index1) {
+					if (jQuery(this).hasClass("tabSelected")) {
+						var tab_title = jQuery(this);
+						tab_blocks.each(function(index2) {
+							if (index1 == index2) {
+								if (options.animatedTabs) {
+									jQuery(this).slideUp(delay, function() {tab_title.removeClass("tabSelected");});
+								} else {
+									jQuery(this).hide();
+									tab_title.removeClass("tabSelected");
+								}
+							}
+						});
+						jQuery.cookie("tabactive",null);
+					} 
+				});
+			
+			});
+		}
 	}
 
Index: /extensions/stripped/language/en_UK/theme.lang.php
===================================================================
--- /extensions/stripped/language/en_UK/theme.lang.php	(revision 12959)
+++ /extensions/stripped/language/en_UK/theme.lang.php	(revision 12960)
@@ -11,4 +11,10 @@
 $lang['Animate menu']='Animate menu';
 $lang['Force text to lowercase']='Force text to lowercase';
+$lang['Album list layout']='Album list layout';
+$lang['5 albums per row (no album description)']='5 albums per row (no album description)';
+$lang['3 albums per row (description below thumbnail)']='3 albums per row (description below thumbnail)';
+$lang['2 albums per row (description beside thumbnail)']='2 albums per row (description beside thumbnail)';
+$lang['1 album per row (description beside thumbnail)']='1 album per row (description beside thumbnail)';
+$lang['Display frame around albums'] = 'Display frame around albums';
 $lang['Display frame around thumbnails']='Display frame around thumbnails';
 $lang['Show thumbnail caption']='Show thumbnail caption';
Index: /extensions/stripped/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/stripped/language/fr_FR/theme.lang.php	(revision 12959)
+++ /extensions/stripped/language/fr_FR/theme.lang.php	(revision 12960)
@@ -11,4 +11,10 @@
 $lang['Animate menu']='Menu anim&eacute;';
 $lang['Force text to lowercase']='Affichage forc&eacute; en minuscules';
+$lang['Album list layout']='Disposition des albums';
+$lang['5 albums per row (no album description)']='5 albums par ligne (pas de description)';
+$lang['3 albums per row (description below thumbnail)']='3 albums par ligne (description sous la miniature)';
+$lang['2 albums per row (description beside thumbnail)']='2 albums par ligne (description &agrave; c&ocirc;t&eacute; de la miniature)';
+$lang['1 album per row (description beside thumbnail)']='1 album par ligne (description &agrave; c&ocirc;t&eacute; de la miniature)';
+$lang['Display frame around albums'] = 'Afficher un cadre autour des albums';
 $lang['Display frame around thumbnails']='Afficher un cadre autour des miniatures';
 $lang['Show thumbnail caption']='Afficher la l&eacute;gende sous les miniatures';
@@ -19,5 +25,5 @@
 $lang['Use navigation arrows on picture']='Utiliser des fl&egrave;ches de navigation sur l\'image';
 $lang['Use navigation arrows outside picture']='Utiliser des fl&egrave;ches de navigation autour de l\'image';
-$lang['Property to display below picture']='Propri&eacute; &agrave; afficher en dessous de l\'image';
+$lang['Property to display below picture']='Propri&eacute;t&eacute; &agrave; afficher en dessous de l\'image';
 $lang['Title']='Titre';
 $lang['HD picture default display']='Affichage par d&eacute;faut de l\'image HD';
Index: /extensions/stripped/local_head.tpl
===================================================================
--- /extensions/stripped/local_head.tpl	(revision 12959)
+++ /extensions/stripped/local_head.tpl	(revision 12960)
@@ -33,14 +33,10 @@
 {/if}
 
-{if $BODY_ID=='theCategoryPage' || $BODY_ID=='thePicturePage'}
-	{include file='config.js.tpl'}
-{/if}
-
-{if ($BODY_ID=='theCategoryPage')}
-	{combine_script id='scripts-tcp' load='header' require='jquery.effects.blind' path='themes/stripped/js/scripts-tcp.js'}
-{/if}
+{include file='config.js.tpl'}
 
 {if $BODY_ID=='thePicturePage'}
 	{combine_script id='scripts-tpp' load='header' require='jquery' path='themes/stripped/js/scripts-tpp.js'}
+{else}
+	{combine_script id='scripts-tcp' load='header' require='jquery.effects.blind' path='themes/stripped/js/scripts-tcp.js'}
 {/if}
 
@@ -52,10 +48,2 @@
 	document.documentElement.className = 'js';
 </script>
-
-{if !$stripped.thumbFrame}
-	<script type="text/javascript">
-		document.documentElement.className = 'ntfd';
-		document.documentElement.className = 'js ntf';
-	</script>
-{/if}
-	
Index: /extensions/stripped/themeconf.inc.php
===================================================================
--- /extensions/stripped/themeconf.inc.php	(revision 12959)
+++ /extensions/stripped/themeconf.inc.php	(revision 12960)
@@ -2,5 +2,5 @@
 /*
 Theme Name: stripped
-Version: Auto
+Version: 1.5.0
 Description: stripped Theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=471
@@ -19,4 +19,10 @@
 // Need upgrade from v1.x?
 if (!isset($stripped['themeStyle'])) {
+	include(PHPWG_THEMES_PATH.'stripped/admin/upgrade.inc.php');
+	$stripped = array_merge( unserialize( $conf['stripped'] ), (array)$stripped );
+}
+
+// Need upgrade from v2.x?
+if (!isset($stripped['paramVersion'])) {
 	include(PHPWG_THEMES_PATH.'stripped/admin/upgrade.inc.php');
 	$stripped = array_merge( unserialize( $conf['stripped'] ), (array)$stripped );
